### Property

# Adw NavigationSplitView:sidebar-width-fraction

since: 1.4

#### Declaration

    property sidebar-width-fraction: double [ read, write ]

#### Description [src]

The preferred sidebar width as a fraction of the total width.

The preferred width is additionally limited by `AdwNavigationSplitView:min-sidebar-width` and `AdwNavigationSplitView:max-sidebar-width`.

The sidebar widget can be allocated with larger width if its own minimum width exceeds the preferred width.

Type:`gdouble`

Available since: 1.4

Default value | 0.250000
Getter method | `adw_navigation_split_view_get_sidebar_width_fraction()`
Setter method | `adw_navigation_split_view_set_sidebar_width_fraction()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no